# Asterisk Project : Asterisk 12 Application_MusicOnHold

Added by wikibot , edited by wikibot on Aug 29, 2013

# MusicOnHold()

### Synopsis

Play Music On Hold indefinitely.

### Description

Plays hold music specified by class. If omitted, the default music source for the channel will be used. Change the default class with Set(CHANNEL(musicclass)=...). If duration is given, hold music will be played specified number of seconds. If duration is ommited, music plays indefinitely. Returns `0` when done, `-1` on hangup.

This application does not automatically answer and should be preceeded by an application such as Answer() or Progress().

### Syntax

    MusicOnHold(class,duration)

##### Arguments

- `class`
- `duration`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown